## apq-postgresql 3.0

=== Makefile ===
# Makefile for the AW_Lib
#
# @author Marcelo Coraça de Freitas <marcelo.batera@gmail.com> 


# Set those variables when building for Windows or when you have
# PostgreSQL installed in some hidden location.

#POSTGRESQL_PATH=/c/Program Files/PostgreSQL/8.3/
#POSTGRESQL_INCLUDE=${POSTGRESQL_PATH}/include
#POSTGRESQL_LIB=${POSTGRESQL_PATH}/lib

POSTGRESQL_PATH=/c/postgresql/
POSTGRESQL_INCLUDE=${POSTGRESQL_PATH}/include
POSTGRESQL_LIB=${POSTGRESQL_PATH}/lib

#OUTPUT_NAME is the name of the compiled library.
ifeq ($(OS), Windows_NT)
	OUTPUT_NAME=apq-postgresqlhelp.dll
else
	OUTPUT_NAME=libapq-postgresqlhelp.so
endif


PROJECT_FILES=apq-postgresql.gpr
GPR_FILES=apq-postgresql.gpr


INCLUDE_FILES=src*/*

include Makefile.include



pre_libs: c_libs

pos_libs:


c_libs: c_objs
	cd lib && gcc -shared ../obj-c/numeric.o ../obj-c/notices.o -o $(OUTPUT_NAME) -L"${POSTGRESQL_LIB}" -lpq

c_objs:
	cd obj-c && gcc -fPIC -I/usr/include/postgresql/ -I../src-c ../src-c/numeric.c -c -o numeric.o && gcc -fPIC -I"${POSTGRESQL_INCLUDE}" -I../src-c ../src-c/notices.c -c -o notices.o



extra_clean:
	@rm -f obj-c/* lib/*

=== samples/Makefile ===
# Makefile for the AW_Lib
#
# @author Marcelo Coraça de Freitas <marcelo.batera@gmail.com> 


projectFile="apq-postgresql-samples.gpr"


libs:
	gnatmake -P ${projectFile} 



all: libs


clean:
	gnatclean -P ${projectFile}
	@echo "All clean"

docs:
	@-./gendoc.sh
	@echo "The documentation is generated by a bash script. Then it might fail in other platforms"

## apq-postgresql 3.2.0

=== Makefile ===
# Makefile for the KOW Generic Library Framework
#
# @author Marcelo Coraça de Freitas <marcelo@kow.com.br> 
#
#
# Please, read Makefile.include for more information


all:
	./scripts/build.sh

install:
	./scripts/install.sh

uninstall:
	./scripts/uninstall.sh
clean:
	./scripts/clean.sh
	rm -f src/apq-postgresql.ads 

distclean: 
	@-${MAKE} clean
	@-${MAKE} -C samples clean

=== debian/changelog ===
apq-postgresql (3.2.0-3) unstable; urgency=medium

  [ Adrian-Ken Rueegsegger ]
  * Renaming of -dev and -dbg packages are mandated by Debian Ada Policy,
    section 3.2.3 and 5.3.2.
  * Transition to gnat-4.9 compiler (Closes: #755016)
  * Update to Standards-Version 3.9.5
  * Remove obsolete DM-Upload-Allowed from debian/control
  * Bump aliversion and switch to integer aliversion scheme
    Change -dev package name according to Debian Ada Policy section 3.2.3
  * Declare conflict with libapq-postgresql3.2.0 as per Debian Ada Policy
  * Update dependency of package apq (Closes: #759702)
  * Update upstream website URLs
  * Update debian/copyright
  * Remove numeric prefix from patches
  * Abort build on error
  * Update to debhelper 9
  * Drop debian/source/local-options
  * Fail dh_install on missing files for all packages
  * Make -dbg package compliant to Debian Ada Policy
  * Fix source directory in samples project file
  * Do not set RPATH when linking library
  * Log compilation output
  * Add minimal run time test for installed package
  * Fix compiler warnings
  * Bump soname of library package
  * Enable dpkg-buildflags hardening options
  * Add Nicolas Boulenguez as Uploader to debian/control
  * Drop d/README.source as format 3.0 is well documented

  [ Nicolas Boulenguez ]
  * Build-Depends: the same gcc-x.y than gnat-x.y, even if not the default gcc.
  * README.Debian: mention Ada policy, must be in -dev package (5.3.7).
  * Avoid a duplicate "debug" build (-g already passed via buildflags).
  * Spelling in control: case for PostgreSQL.
  * Let C(PP)FLAGS override the one from pg_config

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 09 Sep 2014 22:34:00 +0200

apq-postgresql (3.2.0-2) unstable; urgency=low

  [ Adrian-Ken Rueegsegger ]
  * Add missing build dependencies (Closes: #663622)

 -- Reto Buerki <reet@codelabs.ch>  Fri, 16 Mar 2012 16:14:29 +0100

apq-postgresql (3.2.0-1) unstable; urgency=low

  * Imported Upstream version 3.2.0
  * Update to Standards-Version 3.9.3 (no changes)
  * Update to debhelper 8
  * Update Vcs-Git URL
  * Update copyright information
  * Set package names to new library version 3.2.0
  * Migrate to gnat-4.6 (Closes: #660527)
  * Update patches
  * Update GNAT project file
  * Provide project file for example code
  * Update rules
  * Switch to 3.0 (quilt) source package format
  * Fix binary-control-field-duplicates-source warning
  * Add uploaders and allow DM upload

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 07 Mar 2012 12:24:18 +0100

apq-postgresql (3.0-4) unstable; urgency=low

  * Use current dir to construct helper lib path (Closes: #570887).
  * Fix missing-debian-source-format lintian warning.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Tue, 13 Apr 2010 20:41:17 +0200

apq-postgresql (3.0-3) unstable; urgency=low

  * Pass helper library directory to linker (Closes: #570887).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 01 Apr 2010 20:58:01 +0200

apq-postgresql (3.0-2) unstable; urgency=low

  * Add missing depends to dev package.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Fri, 19 Feb 2010 15:06:55 +0100

apq-postgresql (3.0-1) unstable; urgency=low

  * Merging upstream version 3.0.
  * Update to new upstream URL.
  * Bump Standards-Version to 3.8.3.
  * Fix git Vcs URLs.
  * Build with GNAT 4.4 (Closes: #555097).
  * Update patches.
  * Update rules.
  * Update dev install and example files.
  * Update lintian overrides.
  * Make package compliant to latest Debian Ada Policy.
  * Remove unneeded linker switches.
  * Add README.source file.
  * Fix debhelper-but-no-misc-depends lintian warning.
  * Update to Standards-Version 3.8.4 (no changes).

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Wed, 17 Feb 2010 22:06:29 +0100

apq-postgresql (3.0~b1-1) unstable; urgency=low

  * Initial Release.

 -- Adrian-Ken Rueegsegger <ken@codelabs.ch>  Thu, 14 May 2009 23:48:45 +0200

=== debian/control ===
Source: apq-postgresql
Section: libs
Priority: optional
Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
Uploaders: Reto Buerki <reet@codelabs.ch>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), gnat, gnat-4.9, gcc-4.9, gprbuild,
 libpq-dev, libapq4-dev
Standards-Version: 3.9.5
Homepage: http://bitbucket.org/kowframework/
Vcs-Browser: http://git.codelabs.ch/?p=debian/apq-postgresql.git
Vcs-Git: http://git.codelabs.ch/git/debian/apq-postgresql.git
XS-Testsuite: autopkgtest

Package: libapq-postgresql3.2.0.1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: APQ Ada 95 PostgreSQL Binding Plugin (library)
 APQ is a pluggable Ada 95 Binding to various database systems. This
 Plugin provides the Binding to PostgreSQL.

Package: libapq-postgresql4-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libapq-postgresql3.2.0.1 (= ${binary:Version}),
 libpq-dev, libapq4-dev, gnat, gnat-4.9
Breaks: libapq-postgresql3.2.0-dev
Replaces: libapq-postgresql3.2.0-dev
Description: APQ Ada 95 PostgreSQL Binding Plugin (development)
 APQ is a pluggable Ada 95 Binding to various database systems. This
 Plugin provides the Binding to PostgreSQL.
 .
 This package contains the development files.

Package: libapq-postgresql-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libapq-postgresql3.2.0.1 (= ${binary:Version})
Recommends: libapq-postgresql4-dev (= ${binary:Version})
Suggests: gnat
Description: APQ Ada 95 PostgreSQL Binding Plugin (debug)
 APQ is a pluggable Ada 95 Binding to various database systems. This
 Plugin provides the Binding to PostgreSQL.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

PN = apq-postgresql
LIBDIR = debian/tmp/usr/lib/$(PN)/relocatable

include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging.mk

# Explicit list of exported variables.
# dh_auto_build will not erase existing values, and ignores ADAFLAGS.
export CFLAGS
export CPPFLAGS
export LDFLAGS
export ADAFLAGS

SOVERSION=3.2.0.1
export SOVERSION

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) distclean

	# Restore project file to its original state
	-mv -f debian/$(PN).gpr.in gnat/$(PN).gpr.in
	rm -f samples/$(PN)-examples.gpr
	rm -f *.cgpr

override_dh_auto_configure:
	# Save project file so we can restore it on clean
	cp -f gnat/$(PN).gpr.in debian/$(PN).gpr.in
	# -j in BUILDER_OPTIONS overrides the one in scripts/buildutils.sh
	./configure --prefix=./debian/tmp/usr/ \
		--gprbuild-params="$(BUILDER_OPTIONS)"

override_dh_auto_install:
	dh_auto_install
	rm -f $(LIBDIR)/lib$(PN).so

	chmod 644 $(LIBDIR)/*
	chmod 644 debian/tmp/usr/lib/$(PN)/relocatable

	mv $(LIBDIR)/*.so* debian/tmp/usr/lib
	mv debian/tmp/usr/lib/$(PN)/static/lib$(PN).a debian/tmp/usr/lib

	# Create symlinks for library and helper
	ln -sf lib$(PN).so.`basename debian/tmp/usr/lib/lib$(PN).so.*.* | sed -e 's/lib$(PN).so.//'` debian/tmp/usr/lib/lib$(PN).so

	mkdir -p debian/tmp/usr/share/ada/adainclude
	mv debian/tmp/usr/src/$(PN) debian/tmp/usr/share/ada/adainclude
	rm -f debian/tmp/usr/share/ada/adainclude/$(PN).ads-e
	chmod -R 444 debian/tmp/usr/share/ada/adainclude/$(PN)/*

	cp debian/misc/$(PN).gpr debian/tmp/usr/share/ada/adainclude
	cp debian/misc/$(PN)-examples.gpr samples

	mkdir -p debian/tmp/usr/lib/ada/adalib/$(PN)
	mv $(LIBDIR)/*.ali debian/tmp/usr/lib/ada/adalib/$(PN)
	chmod -R 444 debian/tmp/usr/lib/ada/adalib/$(PN)/*

	rm -rf debian/tmp/usr/lib/$(PN)
	rm -rf debian/tmp/usr/lib/gnat

override_dh_install:
	dh_install --all --fail-missing

override_dh_compress:
	dh_compress -X.ads -X.adb -XMakefile

override_dh_strip:
	dh_strip --dbg-package=lib$(PN)-dbg
